#
# spec file for package rubygem-activerecord
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-activerecord
Version:        2.3.14
Release:        0.3.1
%define mod_name activerecord
#
Group:          Development/Languages/Ruby
License:        MIT License (or similar)
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       rubygem-activerecord-2_3 = %{version}
#
Url:            http://rubyforge.org/projects/activerecord/
Source:         %{name}-README.SuSE
#
Summary:        Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM

%description
Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM. It ties
database tables and classes together for business objects, like
Customer or Subscription, that can find, save, and destroy themselves
without resorting to manual SQL.



Authors:
--------
    rails development team

%prep

%build

%install
%{__install} -D -m 0644 %{S:0} %{buildroot}%{_docdir}/%{name}/README.SUSE

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}/
%{_docdir}/%{name}/README.SUSE

%changelog
* Tue Nov 15 2011 mrueckert@suse.com
- bump requires to version 2.3.14
* Wed Feb 16 2011 mrueckert@suse.de
- bump requires to version 2.3.11
* Wed Oct 27 2010 mrueckert@suse.de
- bump requires to version 2.3.10
* Mon Sep  6 2010 mrueckert@suse.de
- bump requires to version 2.3.9
* Tue May 25 2010 mrueckert@suse.de
- bump requires to version 2.3.8
* Mon Dec 21 2009 mrueckert@suse.de
- bump requires to version 2.3.5
* Tue Sep 29 2009 mrueckert@suse.de
- bump requires to version 2.3.4
* Thu Mar 26 2009 mrueckert@suse.de
- bump requires to version 2.3.2
* Mon Mar  9 2009 mrueckert@suse.de
- bump version number to 2.1.2
* Fri Sep 12 2008 mrueckert@suse.de
- bump requires to version 2.1.1
* Mon Jan 21 2008 mrueckert@suse.de
- started a new wrapper package. it will always pull in the latest
  rubygem-activerecord package
* Wed Oct 17 2007 mrueckert@suse.de
- update to version 1.15.5
  * Depend on Action Pack 1.4.4
- additional changes from 1.15.4
  * Fix #count on a has_many :through association so that it
    recognizes the :uniq option. Closes #8801 [lifofifo]
  * Don't clobber includes passed to has_many.count [danger]
  * Make sure has_many uses :include when counting [danger]
  * Save associated records only if the association is already
    loaded.  #8713 [blaine]
  * Changing the :default Date format doesn't break date quoting.
    [#6312] [bshand, Elias]
  * Allow nil serialized attributes with a set class constraint.
    [#7293] [sandofsky]
  * belongs_to assignment creates a new proxy rather than modifying
    its target in-place.  #8412 [mmangino@elevatedrails.com]
  * Fix column type detection while loading fixtures.
    Closes #7987 [roderickvd]
  * Document deep eager includes. #6267 [Josh Susser, Dan Manges]
  * Oracle: extract column length for CHAR also.  #7866 [ymendel]
  * Small additions and fixes for ActiveRecord documentation.
    Closes #7342 [jeremymcanally]
  * SQLite: binary escaping works with $KCODE='u'.  #7862 [tsuka]
  * Improved cloning performance by relying less on exception
    raising #8159 [Blaine]
* Mon May 14 2007 mrueckert@suse.de
- update to version 1.15.3:
  * Allow a polymorphic :source for has_many :through associations.
    Closes #7143 [protocool]
  * Consistently quote primary key column names.
    [#7763] [toolmantim]
  * Fixtures: fix YAML ordered map support.
    [#2665] [Manuel Holtgrewe, nfbuckley]
  * Fix has_many :through << with custom foreign keys.
    [#6466], #7153 [naffis, Rich Collins]
- additional changes from version 1.15.2:
  * Pass a range in :conditions to use the SQL BETWEEN operator.
    [#6974] [dcmanges]
    Student.find(:all, :conditions => { :grade => 9..12 })
  * Don't create instance writer methods for class attributes.
    [Rick]
  * When dealing with SQLite3, use the table_info pragma helper,
    so that the bindings can do some translation for when sqlite3
    breaks incompatibly between point releases. [Jamis Buck]
  * SQLServer: don't choke on strings containing 'null'.
    [#7083] [Jakob S]
  * Consistently use LOWER() for uniqueness validations
    (rather than mixing with UPPER()) so the database can always
    use a functional index on the lowercased column.  #6495 [Si]
  * MySQL: SET SQL_AUTO_IS_NULL=0 so 'where id is null' doesn't
    select the last inserted id.  #6778 [Jonathan Viney, timc]
  * Fixtures use the table name and connection from
    set_fixture_class.  #7330 [Anthony Eden]
  * SQLServer: quote table name in indexes query.
    [#2928] [keithm@infused.org]
* Wed Jan 24 2007 mrueckert@suse.de
- update to 1.15.1:
  update for rails 1.2.1. Too many changes to mention them here.
  See /usr/lib*/ruby/gems/1.8/gems/activerecord-1.15.1/CHANGELOG .
* Thu Aug 10 2006 mrueckert@suse.de
- update to version 1.14.4:
  * Add warning about the proper way to validate the presence of
    a foreign key.  (rails:#4147)
    [Francois Beausoleil <francois.beausoleil@gmail.com>]
  * Fix syntax error in documentation.
    (rails:#4679) [mislav@nippur.irb.hr]
  * Update inconsistent migrations documentation. (rails:#4683)
    [machomagna@gmail.com]
* Sat Jul  1 2006 mrueckert@suse.de
- update to version 1.14.3:
  * Properly quote index names in migrations
  (closes #4764) [John Long]
  * Ensure that Associations#include_eager_conditions?
  checks both scoped and explicit conditions [Rick]
  * Associations#select_limited_ids_list adds the ORDER BY columns
  to the SELECT DISTINCT List for postgresql. [Rick]
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.14.2
